import { ReactElement } from "react";
import NavBar from "./navbar";

type ContainerProps = {
  /**
   * The children for this element.
   */
  children: React.ReactNode;
};

export default function Container({ children }: ContainerProps): ReactElement {
  return (
    <div className="z-[9999] m-auto flex h-screen flex-col items-center opacity-90 w-full xs:max-w-[1200px]">
      <NavBar />
      <div className="w-full flex mt-4 justify-center h-full">{children}</div>
    </div>
  );
}
