import { CachedPlayer, SkinPart } from "mcutils-library";
import { ReactElement } from "react";
import { SkinPartImage } from "@/app/components/player/skin-part-image";

type PlayerSkinProps = {
  /**
   * The player to get the skin from.
   */
  player: CachedPlayer;
};

export function PlayerSkin({ player }: PlayerSkinProps): ReactElement {
  const skin = player.skin;

  return (
    <div className="flex flex-col gap-2">
      <p className="text-lg">Skin Parts</p>
      <div className="flex gap-2">
        {Object.entries(skin.parts)
          .filter(([part]) => part !== SkinPart.HEAD) // Don't show the head part again
          .map(([part, url]) => {
            return <SkinPartImage key={part} playerName={player.username} part={part as SkinPart} url={url} />;
          })}
      </div>
    </div>
  );
}
